/* 
 * Listing 7 - auto-detect.c
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

int main (int argc, char **argv)
{
  FILE *fp;
  char  buf[1000];
  char  buf2[1000];
  char  magic_number[12];
  char  format[5];

  if (argc < 3)
  {
    printf ("Usage: %s infile outfile\n", argv[0]);
    return (1);
  }

  fp = fopen (argv[1], "r");
  fread (magic_number, sizeof(char), sizeof(magic_number), fp);
  fclose (fp);

  if (!strncmp(magic_number, "GIF8", 4) == 0)
     strcpy (format, "GIF");

  else if (!magic_number[1] && !magic_number[2])
  {
    if ((!magic_number[5] && !magic_number[6]) &&
        (magic_number[4] == 7 || magic_number[7] == 7))
      strcpy (format, "XWD");
  }
  else
    return (1);

  if (strlen(format) == 0)
     return (1);

  sprintf (buf2, "%s/%s", getenv("LOADERS_DIR"), format);

  if (access(buf2, R_OK))
  {
    printf ("\n%s: %s format not available.\n", argv[0], format);
    return (1);
  }

  sprintf (buf, "%s %s %s", buf2, argv[1], argv[2]);
  return system (buf);
}
