#
# WatTCP RPC-library, Metaware HighC/Pharlap version.
#

!include common.mak

#
# Build RPC-generator, library and then other directories
#
all:    rpcgen lib rpcsvc demo etc examples

lib:
        @echo "Building and installing RPC library"
        @cd src
        $(HC_MAKE) -f makefile.hic
        @cd ..

rpcgen:
        @echo "Building RPC generator"
        cd rpcgen
        $(HC_MAKE) -f makefile.hic
        cd ..

rpcsvc:
        @echo "Building RPC server"
        cd rpcsvc
        $(HC_MAKE) -f makefile.hic
        cd ..

demo:
        @echo "Building RPC demos"
        cd demo
        $(HC_MAKE) -f makefile.hic
        cd ..

etc:
        @echo "Building etc directory"
        cd etc
        $(HC_MAKE) -f makefile.hic
        cd ..

examples:
        @echo "Building etc directory"
        cd examples
        $(HC_MAKE) -f makefile.hic
        cd ..

clean:
        @cd src
        $(HC_MAKE) -f makefile.hic clean
        @cd ..\rpcgen
        $(HC_MAKE) -f makefile.hic clean
        @cd ..\rpcsvc
        $(HC_MAKE) -f makefile.hic clean
        @cd ..\demo
        $(HC_MAKE) -f makefile.hic clean
        @cd ..\etc
        $(HC_MAKE) -f makefile.hic clean
        @cd ..\examples
        $(HC_MAKE) -f makefile.hic clean
        @cd ..
        @del .\lib\rpc_hx.lib

