
GETRPCPORT(3R)                                     GETRPCPORT(3R)


NAME
       getrpcport - get RPC port number

SYNOPSIS
       int getrpcport(host, prognum, versnum, proto)
            char *host;
            int prognum, versnum, proto;

DESCRIPTION
       getrpcport()  returns  the port number for version versnum
       of the RPC program prognum running on host and using  pro-
       tocol  proto.   It  returns  0  if  it  cannot contact the
       portmapper, or if prognum is not registered.   If  prognum
       is  registered but not with version versnum, it will still
       return a port number (for some  version  of  the  program)
       indicating  that  the  program  is indeed registered.  The
       version mismatch will be detected upon the first  call  to
       the service.
